Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.function
Class RichFunction

    java.lang.Object
      org.richfaces.function.RichFunction

    public final class RichFunction

extends Object

Created 20.03.2008

Since:
  3.2
Author:
  Nick Belaevski

Nested Class Summary
`protected static interface` | `RichFunction.ComponentLocator`

Method Summary
`static String` | `clientId(String id)` The rich:clientId('id') function returns the client identifier related to the passed component identifier ('id').
`static String` | `component(String id)` The rich:component('id') function is equivalent to the RichFaces.$('clientId') code.
`static String` | `element(String id)` The rich:element('id') function is a shortcut for the equivalent document.getElementById(#{rich:clientId('id')}) code.
`static javax.faces.component.UIComponent` | `findComponent(String id)` The rich:findComponent('id') function returns the a UIComponent instance of the passed component identifier.
`static boolean` | `isUserInRole(Object rolesObject)` The rich:isUserInRole(Object) function checks whether the logged-in user belongs to a certain user role, such as being an administrator.
`static String` | `toScript(Object o)` Convert any Java Object to JavaScript representation ( as possible ).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clientId

    public static String clientId(String id)

  The rich:clientId('id') function returns the client identifier related to the passed component identifier ('id'). If the specified component identifier is not found, null is returned instead.

### component

    public static String component(String id)

  The rich:component('id') function is equivalent to the RichFaces.$('clientId') code. It returns the client object instance based on the passed server-side component identifier ('id'). If the specified component identifier is not found, null is returned instead. The function can be used to get an object from a component to call a JavaScript API function without using the component.

### element

    public static String element(String id)

  The rich:element('id') function is a shortcut for the equivalent document.getElementById(#{rich:clientId('id')}) code. It returns the element from the client, based on the passed server-side component identifier. If the specified component identifier is not found, null is returned instead.

### findComponent

    public static javax.faces.component.UIComponent findComponent(String id)

  The rich:findComponent('id') function returns the a UIComponent instance of the passed component identifier. If the specified component identifier is not found, null is returned instead.

### isUserInRole

    public static boolean isUserInRole(Object rolesObject)

  The rich:isUserInRole(Object) function checks whether the logged-in user belongs to a certain user role, such as being an administrator. User roles are defined in the web.xml settings file.

  Since:
    3.3.1

### toScript

    public static String toScript(Object o)

  Convert any Java Object to JavaScript representation ( as possible ).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.